Install LabyMod 1.8.9 v3.7.5

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (LabyMod 1.8.9 v3.7.5) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select LabyMod 1.8.9 v3.7.5 from the list on the left. The launcher will handle everything else!

LabyMod 1.8.9 v3.7.5 Version 3.7.5

created by Jan_Soušek on Minecraft 1.8.9
LabyMod 1.8.9 v3.7.5 was updated to version 3.6.4 11 months ago
updated to LabyMod 3.6.3
Jan_Soušek 11 months ago
LabyMod 1.8.9 v3.7.5 was updated to version 3.6.3 11 months ago
updated to LabyMod 3.6.2
Jan_Soušek 11 months ago
LabyMod 1.8.9 v3.7.5 was updated to version 3.6.2 11 months ago
updated to LabyMod 3.6.0
Jan_Soušek 11 months ago
updated to LabyMod 3.5.8
Jan_Soušek 11 months ago
LabyMod 1.8.9 v3.7.5 was updated to version 3.6.0 11 months ago
updated to LabyMod 3.5.7
LabyMod 1.8.9 v3.7.5 was updated to version 3.5.7 1 year ago
updated to LabyMod 3.5.6 (sorry for the delay i was having some problems with java :C)
LabyMod 1.8.9 v3.7.5 was updated to version 3.5.6 1 year ago
updated to LabyMod 3.5.5
LabyMod 1.8.9 v3.7.5 was updated to version 1.8 1 year ago
updated to LabyMod 3.5.4
LabyMod 1.8.9 v3.7.5 was updated to version 1.7 1 year ago
updated to LabyMod 3.5.3
LabyMod 1.8.9 v3.7.5 was updated to version 1.6 1 year ago
updated to LabyMod 3.5.2
updated to labymod 3.5.2

Latest Update

updated to Labymod 3.7.5 I'm so sorry for the dealy of updating. I've been really busy. hope you understand.